dppsu: xdppsu_edid.c File Reference

| dppsu Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions
xdppsu_edid.c File Reference

## Overview

This file contains functions related to accessing the Extended Display Identification Data (EDID) of a specified sink using the XDpPsu driver.

Note
  None.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    1.0   aad  27/01/17 Initial release.

## Functions
u32 | XDpPsu_GetEdid (XDpPsu *InstancePtr, u8 *Edid)
| This function retrieves an immediately connected RX device's Extended Display Identification Data (EDID) structure. More...
u32 | XDpPsu_GetEdidBlock (XDpPsu *InstancePtr, u8 *Data, u8 BlockNum)
| Retrieve an immediately connected RX device's Extended Display Identification Data (EDID) block given the block number. More...
u32 | XDpPsu_GetDispIdDataBlock (u8 *DisplayIdRaw, u8 SectionTag, u8 **DataBlockPtr)
| Given a section tag, search for and retrieve the appropriate section data block that is part of the specified DisplayID structure. More...

## Function Documentation

u32 XDpPsu_GetDispIdDataBlock | ( | u8 * | DisplayIdRaw,
|  | u8 | SectionTag,
|  | u8 ** | DataBlockPtr
| ) |  |

Given a section tag, search for and retrieve the appropriate section data block that is part of the specified DisplayID structure.

Parameters

  DisplayIdRaw | is a pointer to the DisplayID data.
  SectionTag | is the tag to search for that represents the desired section data block.
  DataBlockPtr | will be set by this function to point to the appropriate section data block that is part of the DisplayIdRaw.

Returns
  - XST_SUCCESS if the section data block with the specified tag was found.
  - XST_FAILURE otherwise.

Note
  The DataBlockPtr argument is modified to point to the entry in DisplayIdRaw that represents the beginning of the desired section data block.

u32 XDpPsu_GetEdid | ( | XDpPsu * | InstancePtr,
|  | u8 * | Edid
| ) |  |

This function retrieves an immediately connected RX device's Extended Display Identification Data (EDID) structure.

Parameters

  InstancePtr | is a pointer to the XDpPsu instance.
  Edid | is a pointer to the Edid buffer to save to.

Returns
  - XST_SUCCESS if the I2C transactions to read the EDID were successful.
  - XST_ERROR_COUNT_MAX if the EDID read request timed out.
  - XST_DEVICE_NOT_FOUND if no RX device is connected.
  - XST_FAILURE otherwise.

Note
  None.

References XDpPsu::IsReady, and XDpPsu_GetEdidBlock().

u32 XDpPsu_GetEdidBlock | ( | XDpPsu * | InstancePtr,
|  | u8 * | Data,
|  | u8 | BlockNum
| ) |  |

Retrieve an immediately connected RX device's Extended Display Identification Data (EDID) block given the block number.

A block number of 0 represents the base EDID and subsequent block numbers represent EDID extension blocks.

Parameters

  InstancePtr | is a pointer to the XDpPsu instance.
  Data | is a pointer to the data buffer to save the block data to.
  BlockNum | is the EDID block number to retrieve.

Returns
  - XST_SUCCESS if the block read has successfully completed with no errors.
  - XST_ERROR_COUNT_MAX if a time out occurred while attempting to read the requested block.
  - XST_DEVICE_NOT_FOUND if no RX device is connected.
  - XST_FAILURE otherwise.

Note
  None.

References XDpPsu_IicRead().

Referenced by XDpPsu_GetEdid().